[![Code Climate](https://codeclimate.com/github/panorama-ed/snake_params/badges/gpa.svg)](https://codeclimate.com/github/panorama-ed/snake_params)
[![Test Coverage](https://codeclimate.com/github/panorama-ed/snake_params/badges/coverage.svg)](https://codeclimate.com/github/panorama-ed/snake_params) [![Build Status](https://travis-ci.org/panorama-ed/snake_params.svg)](https://travis-ci.org/panorama-ed/snake_params) [![Inline docs](http://inch-ci.org/github/panorama-ed/snake_params.png)](http://inch-ci.org/github/panorama-ed/snake_params)

# SnakeParams

SnakeParams is a module that helps smoothing out the differences in naming
conventions between the front-end (camelCase) and the back-end (snake_case) in
Rails.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'snake_params'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install snake_params

## Usage

To start using the camelCase to snake_case conversion, just include this module
in your Rails controller:

```ruby
include ::SnakeParams
```

## Contributing

1. Fork it ( https://github.com/panorama-ed/snake_params/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request

**Make sure your changes have appropriate tests (`bundle exec rspec`)
and conform to the Rubocop style specified.** We use
[overcommit](https://github.com/causes/overcommit) to enforce good code.

## Documentation
For more information, check the project's [Ruby Docs](http://www.rubydoc.info/github/panorama-ed/snake_params/master).
