# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "snake_params/version"

Gem::Specification.new do |spec|
  spec.name          = "snake_params"
  spec.version       = SnakeParams::VERSION
  spec.authors       = ["David Lago"]
  spec.email         = ["dlago@panoramaed.com"]
  spec.summary       = "Convert parameters from camelCase to snake_case."
  spec.description   = "Convert parameters from camelCase to snake_case. This "\
    "bridges the gap between JavaScript and Ruby naming conventions."
  spec.homepage      = "https://www.github.com/panorama-ed/snake_params"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "activesupport", "~> 4.0"

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "codeclimate-test-reporter", "~> 0.4"
  spec.add_development_dependency "overcommit", "~> 0.21"
  spec.add_development_dependency "rspec", "~> 3.1"
  spec.add_development_dependency "rubocop", "~> 0.28"
end
